﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Xml;
using System.Collections;

public partial class Demo6 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {


    }

    void XmlBoundOrganisationChart1_NavigateDown(object sender, OrgChart.Core.OrganisationChartItemCommandEventArgs e)
    {
        throw new NotImplementedException();
    }

    /// <summary>
    /// Fill the chart with data
    /// </summary>
    /// <param name="p"></param>
    private void fillChart(int p)
    {
        XmlBoundOrganisationChart1.DataSource = createRandomData(p);
    }

    /// <summary>
    /// Create an Xml document full of random nodes
    /// </summary>
    /// <param name="numberOfNodes"></param>
    /// <returns></returns>
    private XmlDocument createRandomData(int numberOfNodes)
    {
        XmlDocument data = new XmlDocument();
        data.LoadXml(String.Format("<Node name=\"{0} Nodes\"/>", numberOfNodes));


        ArrayList a = new ArrayList();
        a.Add(data.FirstChild);

        Random getNum = new Random(DateTime.Now.Second);
        for (int i = 0; i < numberOfNodes; i++)
        {
            int idx = getNum.Next(i);
            if (idx < 0) idx = 0;
            if (idx > a.Count - 1) idx = a.Count - 1;

            XmlNode el = a[idx] as XmlNode;

            XmlElement newChild = data.CreateElement("Node");
            XmlAttribute childAtt = data.CreateAttribute("name");
            childAtt.Value = "Node-" + i;
            newChild.Attributes.Append(childAtt);
            el.AppendChild(newChild);
            a.Add(newChild);
        }
        return data;
    }

    protected void Button1_Click(object sender, EventArgs e)
    {
        int numberOfNodes = 1;
        try
        {
            numberOfNodes = int.Parse(txtNodes.Text);
            if (numberOfNodes > 2000)
            {
                numberOfNodes = 2000;
            }
            fillChart(numberOfNodes);
        }
        catch (Exception ee)
        {
            numberOfNodes = 10;
        }

    }

    protected override void OnPreRender(EventArgs e)
    {
        base.OnPreRender(e);
        XmlBoundOrganisationChart1.DataBind();
    }
}
