﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class SearchOrgChart : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        // Configure the search control

        // First display the search option
        MyChart.CommandBarSettings.Visible = true;
        MyChart.CommandBarSettings.ShowSearch = true;
        // configure the drop down list used when multiple results are found
        MyChart.SearchSettings.DropDownResults = "{Last_Name}, {First_Name}";

        // Configure the search  expression.  OrgChart replaces the {0} with the search text
        MyChart.SearchSettings.SearchExpression = "name like '%{0}%'";



        // Hide the "Up" Navigation Arrow for the first item in the chart
        MyChart.NavigationBarSettings.InitialItemId = 1;

        // Bind to capture any navigation events
        MyChart.DataBind();
    }

    protected override void OnPreRender(EventArgs e)
    {
        // Bind to reflect any navigation changes
        MyChart.DataBind();
        base.OnPreRender(e);
    }
}
