﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Demo1 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {    
        // Set the Html Template to the value in the text box.
        // The HTML template is a simple method of formatting the contents of a ChartItem
        lblHtmlTemplate.Text = XmlOrgChart.ChartItem.HtmlTemplate;
        XmlOrgChart.ChartItem.ShowBackgroundImage = DropDownList1.SelectedIndex != 3;        
    }

    protected void DropDownList1_SelectedIndexChanged(object sender, EventArgs e)
    {
       
        
        // User has changed the drop down list, so update the orgchart template
        switch (DropDownList1.SelectedValue)
        {
            case "1": XmlOrgChart.ChartItem.HtmlTemplate = @"{name}";
                break;
            case "2": XmlOrgChart.ChartItem.HtmlTemplate = @"{name}<br/><B>{JobTitle}</B>";
                break;
            case "3": XmlOrgChart.ChartItem.HtmlTemplate
                    = @"<div style='border:solid black;width:175px'>Name:{name}<br/>Role:<B>{JobTitle}</B></div>";
                break;

            default: XmlOrgChart.ChartItem.HtmlTemplate = null;
                break;
        }

        
        lblHtmlTemplate.Text = Server.HtmlEncode(XmlOrgChart.ChartItem.HtmlTemplate);
        // If the user has selected option 3 then do not show the background image
        XmlOrgChart.ChartItem.ShowBackgroundImage = DropDownList1.SelectedIndex != 3;

        // Display the chart
        XmlOrgChart.DataBind();
    }
}
