﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class ExportOrgChartToExcel : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

        MyChart.DataBind();

        // First ensure that the command bar is visible
        MyChart.CommandBarSettings.Visible = true;
        // And that the "Export" Link is enabled
        MyChart.CommandBarSettings.ShowExport = true;

        // Set the fields to be exported
        MyChart.ExportSettings.Fields = new []{ "Firstname,eMail" };
        // Optionally set the field headers, by first disabling the Auto Generated headers
        MyChart.ExportSettings.AutogenerateHeaders = false;
        // And then by setting the field headers
        MyChart.ExportSettings.FieldHeaders = new []{"First Name, email"};
    }
}
